Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogicx.jsp.tags
Class EncodeTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--weblogicx.jsp.tags.EncodeTag

public class EncodeTag
extends javax.servlet.jsp.tagext.BodyTagSupport

The encode tag checks to see that the user has a session and the session id did not come in via a cookie, if these are both true the body of the tag is searched for relative URL references and they are replaced with versions that contain the session id. In addition, forms are modified with an addition hidden form parameter that is the session id. Here is an exhaustive list of those html tags that are modified: <a href="xxx"> -> <a href="xxx?_LINKSTRING_"> <img src="xxx" lowsrc="yyy"> -> <img src="xxx?_LINKSTRING_" lowsrc="yyy?_LINKSTRING_"> <form action="blah"></form> -> <form action="blah">_FORMSTRING_</form> <frame src="xxx"> -> <frame src="xxx?_LINKSTRING_"> <object src="xxx"> -> <object src="xxx?_LINKSTRING_">

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`EncodeTag()`

Method Summary
`int` | `doAfterBody()`
`java.lang.String` | `getCookieName()`
`java.lang.String` | `getSessionId()`
`void` | `release()` Reset properties.
`void` | `setCookieName(java.lang.String cookieName)` This value can override the cookieName pulled from the session.
`void` | `setSessionId(java.lang.String sessionId)` This value can override the sessionId pulled from the session.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodeTag

    public EncodeTag()

Method Detail

### setSessionId

    public void setSessionId(java.lang.String sessionId)

  This value can override the sessionId pulled from the session.

### getSessionId

    public java.lang.String getSessionId()

### setCookieName

    public void setCookieName(java.lang.String cookieName)

  This value can override the cookieName pulled from the session.

### getCookieName

    public java.lang.String getCookieName()

### release

    public void release()

  Reset properties.

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD